# coding: utf-8

from __future__ import absolute_import

from datetime import date, datetime  # noqa: F401
from typing import Dict, List  # noqa: F401

from privacy_metrics import util
from privacy_metrics.models.base_model_ import Model
from privacy_metrics.models.privacy_metric import PrivacyMetric  # noqa: F401,E501


class PrivacyMetrics(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self):  # noqa: E501
        """PrivacyMetrics - a model defined in Swagger"""
        self.swagger_types = {}

        self.attribute_map = {}

    @classmethod
    def from_dict(cls, dikt) -> "PrivacyMetrics":
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The PrivacyMetrics of this PrivacyMetrics.  # noqa: E501
        :rtype: PrivacyMetrics
        """
        return util.deserialize_model(dikt, cls)
